V1 and V2Products (V1)

Link a category to a product

POST
/api/v1/products/{product_id}/categories

Link an existing category to this product.

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST 'https://example.com/api/v1/products/string/categories' \  -H 'Content-Type: application/json' \  --data-raw '{  "id": "5c4ed7f62f0985001c233279"}'
{  "data": [    {      "id": "5c4ed7f62f0985001c233279",      "name": "Kettles & Teapots",      "path": [        "Sample Categories",        "Kettles & Teapots"      ]    }  ]}